#!/bin/bash


control=control

startcontrol () {
    echo "Source: imx-u-boot"  > $control
    echo "Section: graphics" >> $control
    echo "Priority: optional" >> $control
    echo "Maintainer: Laci Tele <laci@boundarydevices.com>" >> $control
    echo "Build-Depends: debhelper (>= 9.0.0), pkg-config, dh-python, device-tree-compiler, u-boot-tools" >> $control
    echo "Standards-Version: 3.9.5" >> $control
    echo "Vcs-Git: https://github.com/boundarydevices/u-boot-imx6" >> $control
    echo "" >> $control
    echo "" >> $control
    echo "Package: imx-u-boot.scripts" >> $control
    echo "Architecture: armhf" >> $control
    echo "Depends: \${shlibs:Depends}, \${misc:Depends}" >> $control
    echo "Description: U-Boot upgrade scripts" >> $control
}

startinstall () {
    echo  "install/upgrade.txt     /"  > imx-u-boot.scripts.install
    echo  "install/upgrade.scr     /" >> imx-u-boot.scripts.install
}

geninstall () {
    name=`echo $1 | tr '_' '-'`
    ifile="imx-u-boot.${name}.install"
    echo  "install/u-boot.$1     /"              > ${ifile}
}


addcontrol () {
    echo "" >> $control
    echo "" >> $control
    name=`echo $1 | tr '_' '-'`
    echo "Package: imx-u-boot.${name}"  >> $control
    echo "Architecture: armhf"     >> $control
    echo "Depends: \${shlibs:Depends}, \${misc:Depends}, imx-u-boot.scripts"     >> $control
    echo "Description: U-Boot for $2"     >> $control
}

doall () {
    geninstall "$1"
    addcontrol "$1" "$2"
}

rm -f $control *.install

startcontrol
startinstall

doall mcs_dl2g              'Boundary MCS Dual 2G board'
doall mcsquad               "Boundary MCS Quad board"
doall mcssolo1g_64bit       "Boundary MCS Solo 1G 64bit board"
doall mcssolo               "Boundary MCS Solo board"
doall nitrogen6dl           "Boundary Nitrogen6 DualLite board"
doall nitrogen6_max         "Boundary Nitrogen6-Max board"
doall nitrogen6q            "Boundary Nitrogen6X board"
doall nitrogen6qp_max       "Boundary Nitrogen6QP board"
doall nitrogen6s            "Boundary Nitrogen6S board"
doall nitrogen6sx           "Boundary Nitrogen6SX"
doall nitrogen6_vm          "Boundary Nitrogen6 VM"
doall nitrogen7             "Boundary Nitrogen7D board"
